Bug 1041319 - Maven plugin creates empty switchyard.xml after upgrading of configuration version
Summary: Maven plugin creates empty switchyard.xml after upgrading of configuration ve...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: DR4
: ---
Assignee: Brian Fitzpatrick
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-12 14:55 UTC by Tomas Rohovsky
Modified: 2016-01-06 11:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When you upgrade the configuration version from 1.0 to 1.1, the switchyard.xml file created after you build the project contains only generated transformers or validators.
Clone Of:
Environment:
Last Closed: 2016-01-06 11:39:21 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1893 Major Closed Maven plugin creates empty switchyard.xml after upgrading of configuration version 2016-01-06 11:36:39 UTC
JBoss Issue Tracker SWITCHYARD-2389 Major Closed Tools should generate an error when library version is incompatible with config version 2016-01-06 11:36:39 UTC
JBoss Issue Tracker SWITCHYARD-2390 Major Closed Use BOM checkbox enablement does not update when using target runtimes 2016-01-06 11:36:39 UTC

Description Tomas Rohovsky 2013-12-12 14:55:32 UTC
Generated switchyard.xml is empty or contains only generated transformers or validators after building of a project. This happens if "Configuration Version" is updated from 1.0 to 1.1 in "Configure Capabilities..." dialog.

Comment 2 JBoss JIRA Server 2014-10-21 20:46:29 UTC
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-1893 to Resolved

Comment 3 JBoss JIRA Server 2014-11-03 07:56:49 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2390 to Closed

Comment 4 JBoss JIRA Server 2014-11-04 12:41:08 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2390 to Reopened

Comment 5 JBoss JIRA Server 2014-11-04 12:44:49 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2390 to Resolved

Comment 6 JBoss JIRA Server 2015-01-06 15:30:19 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2390 to Closed

Comment 7 JBoss JIRA Server 2015-01-06 15:42:59 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-1893 to Closed

Comment 8 JBoss JIRA Server 2015-01-06 15:43:55 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2389 to Closed

Comment 9 Andrej Podhradsky 2015-01-06 15:47:16 UTC
Verified with JBDS 8.0.1.GA + JBDSIS 8.0.0.Beta2a (contains SwitchYard 2.0.0.v20141219-2309-H527-Beta1)

Comment 12 Andrej Podhradsky 2016-01-06 11:39:21 UTC
Fixed and included in the latest release.


Note You need to log in before you can comment on or make changes to this bug.